{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To update the name of a VPC peering in a particular VPC, send a PATCH request \nto `/v2/vpcs/$VPC_ID/peerings/$VPC_PEERING_ID` with the new `name` in the \nrequest body.\n","properties":{"path":{"type":"object","properties":{"vpc_id":{"type":"string","format":"uuid","minimum":1,"examples":["4de7ac8b-495b-4884-9a69-1050c6793cd6"],"description":"A unique identifier for a VPC."},"vpc_peering_id":{"type":"string","format":"uuid","examples":["5a4981aa-9653-4bd1-bef5-d6bff52042e4"],"description":"A unique identifier for a VPC peering."}},"required":["vpc_id","vpc_peering_id"],"additionalProperties":false},"body":{"type":"object","allOf":[{"$ref":"#/definitions/vpc_peering_updatable"}],"required":["name"]}},"required":["path","body"],"additionalProperties":false,"definitions":{"vpc_peering_updatable":{"type":"object","properties":{"name":{"type":"string","pattern":"^[a-zA-Z0-9\\-]+$","description":"The name of the VPC peering. Must be unique within the team and may only contain alphanumeric characters and dashes.","examples":["nyc1-blr1-peering"]}}}}},"name":"Update a VPC Peering","id":"digitalocean.vpcs_patch_peerings","example":{"path":{"vpc_id":"4de7ac8b-495b-4884-9a69-1050c6793cd6","vpc_peering_id":"5a4981aa-9653-4bd1-bef5-d6bff52042e4"},"body":{"name":"nyc1-blr1-peering"}},"maxRequests":1,"summary":false}}